KintsugiKintsugi
API reference / Get physical nexus categories

Get physical nexus categories

GET/v1/nexus/physical_nexus/categories

Get physical nexus categories

Authorization

x-api-keystringRequired

Your secret API key. Include it with every request.

Query

Every query parameter below is optional. Combine as many as you need and append them to the endpoint as a query string. The example shows a few to get you started.

/v1/nexus/physical_nexus/categories?country_code=<country_code>&state_code=<state_code>
country_codeCountryCodeEnum
Available options:AFAXALDZASADAOAIAQAGARAMAWAUATAZBSBHBDBBBYBEBZBJBMBTBOBQBABWBVBRIOBNBGBFBICVKHCMCAKYCFTDCLCNCXCCCOKMCGCDCKCRHRCUCWCYCZDKDJDMDOECEGSVGQEREESZETFKFOFJFIFRGFPFTFGAGMGEDEGHGIGRGLGDGPGUGTGGGNGWGYHTHMVAHNHKHUISINIDIRIQIEIMILITCIJMJPJEJOKZKEKIKPKRKWKGLALVLBLSLRLYLILTLUMOMGMWMYMVMLMTMHMQMRMUYTMXFMMDMCMNMEMSMAMZMMNANRNPNLNCNZNINENGNUNFMKMPNOOMPKPWPSPAPGPYPEPHPNPLPTPRQARERORURWBLSHKNLCMFPMVCWSSMSTSASNRSSCSLSGSXSKSISBSOZAGSSSESLKSDSRSJSECHSYTWTJTZTHTLTGTKTOTTTNTRTMTCTVUGUAAEGBUSUMUYUZVUVEVNVGVIWFEHYEZMZWXKZZ_EU
state_codestring

Response

namestringRequired
titlestringRequired
descriptionstringRequired
examplestringRequired
is_category_assignedbooleanRequired
200

Successful Response

422

Validation Error

cURL
GET /v1/nexus/physical_nexus/categories?country_code={country_code}&state_code={state_code}
-H "x-api-key: ***"
Example request
https://api.trykintsugi.com/v1/nexus/physical_nexus/categories?country_code={country_code}&state_code={state_code}
Response
[
{
"name": "string",
"title": "string",
"description": "string",
"example": "string",
"is_category_assigned": true
}
]